Name:           maliit-framework
Version:        2.3.0
Release:        %mkrel 1
Summary:        Input method framework

Group:          System/Libraries
License:        LGPLv2
URL:            https://maliit.github.io/
Source0:        https://github.com/maliit/framework/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake

BuildRequires: doxygen
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(libudev)

BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5DBus)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5Quick)
BuildRequires: cmake(Qt5WaylandClient)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: cmake(Qt5XkbCommonSupport)

BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(wayland-protocols)

Obsoletes:     maliit-framework-gtk2 < 2.0.0
Obsoletes:     maliit-framework-qt4 < 2.0.0
Obsoletes:     maliit-framework-gtk3 < 2.0.0

%description
Maliit provides a flexible and cross-platform input method framework. It has a
plugin-based client-server architecture where applications act as clients and
communicate with the Maliit server via input context plugins. The communication
link currently uses D-Bus.

%package qt5
Summary: Input method module for Qt 5 based on Maliit framework
Group: Development/C++
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description qt5
Input method module for Qt 5 based on Maliit framework.

%package devel
Summary: Development files
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package docs
Summary: Documentation files for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%package examples
Summary: Tests and examples for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: %{name}-qt5 = %{version}-%{release}

%description examples
This package contains tests and examples for %{name}.

%prep
%autosetup -n framework-%{version} -p1

%build
%cmake -Denable-examples=ON \
       -Denable-tests=OFF \
       -Denable-dbus-activation=ON \
       -Denable-wayland-gtk=ON

%cmake_build

%install
%cmake_install

%files
%license LICENSE.LGPL
%doc README.md NEWS
%{_bindir}/maliit-server
%{_libdir}/libmaliit*.so.2*
%{_datadir}/dbus-1/services/org.maliit.server.service

%files qt5
%{_libdir}/qt5/plugins/platforminputcontexts/libmaliitplatforminputcontextplugin.so
%{_libdir}/qt5/plugins/wayland-shell-integration/libinputpanel-shell.so

%files devel
%{_includedir}/maliit-2/
%{_libdir}/cmake/MaliitGLib/
%{_libdir}/cmake/MaliitPlugins/
%{_libdir}/libmaliit*.so
%{_libdir}/pkgconfig/maliit*.pc
%{_libdir}/qt5/mkspecs/features/*.prf

%files docs
%{_datadir}/doc/maliit-framework-doc/
%{_datadir}/doc/maliit-framework/

%files examples
%{_bindir}/maliit-exampleapp-plainqt


%changelog
* Fri Dec 09 2022 daviddavid <daviddavid> 2.3.0-1.mga9
+ Revision: 1919654
- new version: 2.3.0
- switch to Qt5 and cmake build system
- remove gtk2, gtk3 and Qt4 support
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.94.2-14.mga8
+ Revision: 1534303
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 daviddavid <daviddavid> 0.94.2-13.mga8
+ Revision: 1448989
- fix Python shebang in examples subpackage to avoid depending on Python2

* Sun Sep 23 2018 umeabot <umeabot> 0.94.2-12.mga7
+ Revision: 1299443
- Mageia 7 Mass Rebuild

* Thu Nov 17 2016 daviddavid <daviddavid> 0.94.2-11.mga6
+ Revision: 1068087
- add missing BR on pkgconfig(libudev)

* Wed Feb 03 2016 umeabot <umeabot> 0.94.2-10.mga6
+ Revision: 933148
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.94.2-9.mga5
+ Revision: 746250
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.94.2-8.mga5
+ Revision: 725115
- rebuild for bogus file deps

* Fri Sep 26 2014 wally <wally> 0.94.2-7.mga5
+ Revision: 724939
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.94.2-6.mga5
+ Revision: 682142
- Mageia 5 Mass Rebuild

* Sun Jul 20 2014 colin <colin> 0.94.2-5.mga5
+ Revision: 654755
- Drop RPM scripts for immodules (handled by filetriggers)
- Drop manual ldconfig calls (not needed on Mageia)

* Sat Nov 02 2013 fwang <fwang> 0.94.2-4.mga4
+ Revision: 548929
- add requires on python-gi

* Sat Oct 19 2013 umeabot <umeabot> 0.94.2-3.mga4
+ Revision: 523979
- Mageia 4 Mass Rebuild

* Mon May 27 2013 zezinho <zezinho> 0.94.2-2.mga4
+ Revision: 428687
- new version
- plugins dir renamed
- maliit-sdk removed

* Sat Jan 12 2013 umeabot <umeabot> 0.93.1-2.mga3
+ Revision: 359343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 zezinho <zezinho> 0.93.1-1.mga3
+ Revision: 332207
- fix build
- default mageia qmake fails
- fix rpm groups
- fix rpm groups
- fix underlink
- start from fedora spec
- imported package maliit-framework


* Fri Nov  9 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.93.1-1
- New 0.93.1 release

* Mon Oct 29 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.93.0-1
- New 0.93.0 release

* Tue Oct  9 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.92.5.1-1
- 0.95.2.1 to add support for detecting tablet mode changes

* Thu Oct  4 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.92.5-2
- Fix the updating of the gtk2 IM module cache

* Thu Sep 27 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.92.5-1
- New 0.92.5 release, update based on review comments

* Tue Aug 14 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.92.4-1
- Initial packaging
